#include "kit_impl.h"

/*The malloc family requires an external function with which to obtain sequential,
 contiguous blocks of memory */
void * sbrk (int nbytes)
{

}

int getpagesize (void)
{
	return 0;
}

/* monitor specific functions , see kit_impl.h*/ 
void _mon_printf (const char * s, ...)
{

}

void _mon_vprintf (const char * s, __va_list va)
{

}

void _mon_puts (const char * s)
{

}

void _mon_putc (char c)
{

}

int _mon_getc (int i)
{

}

int _gmoncreat (const char * s)
{
	return 0;
}

ssize_t	_gmonwrite (int i, const void * p, size_t n)
{

}

int _gmonclose (int i)
{
	return 0;
}

/* I/O system call */
int open (const char *path, int flags, .../*int mode*/)
{
	return 0;	
}

int close (int fd)
{
	return 0;	
}

ssize_t read (int fd, void *buf, size_t n)
{
	
}
ssize_t write (int fd, const void *buf, size_t n)
{
	
}

long lseek (int fd, long off, int whence)
{
	
}

int fstat (int fd, struct stat *stb)
{
	
}

int ioctl (int fd, unsigned long cmd, ...)
{
	
}

